# Just a wild guess...
%global __requires_exclude perl\\((English|SNMP|a)\\)

%define nsusr nagios
%define nsgrp nagios
%define cmdusr apache
%define cmdgrp apache

Summary:	Host/service/network monitoring program plugins for Nagios
Name:		nagios-plugins
Version:	2.4.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
URL:		https://nagios-plugins.org/
Source0:	https://github.com/%{name}/%{name}/archive/refs/tags/release-%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:     338.patch
Patch6:		nagios-plugins-2.0.3-check_ping-socket-filter-warning.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	mysql-devel
BuildRequires:	bind-utils
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	net-snmp-utils
BuildRequires:	ntpsec
BuildRequires:	openldap-devel
BuildRequires:	openssh-clients
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pam-devel
BuildRequires:	postgresql-devel
BuildRequires:	python
BuildRequires:	radiusclient-ng-devel
BuildRequires:	samba-client
BuildRequires:	shadow-utils
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(dbi)
Epoch:		1

%description
Nagios is a program that will monitor hosts and services on your network, and
to email or page you when a problem arises or is resolved. Nagios runs on a
Unix server as a background or daemon process, intermittently running checks on
various services that you specify. The actual service checks are performed by
separate "plugin" programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the Nagios
package.  This package should install cleanly on almost any RPM-based system.

%package -n	nagios-check_breeze
Summary:	The check_breeze plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_breeze
This plugin reports the signal strength of a Breezecom wireless equipment

%package -n	nagios-check_by_ssh
Summary:	The check_by_ssh plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_by_ssh
This plugin uses SSH to execute commands on a remote host.

%package -n	nagios-check_cluster
Summary:	The check_cluster plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_cluster
This package contains the check_cluster plugin for nagios.

%package -n nagios-check_dbi
Summary:    The check_dbi plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n nagios-check_dbi
This package contains the check_dbi plugin for nagios.

%package -n	nagios-check_dhcp
Summary:	The check_dhcp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dhcp
This plugin tests the availability of DHCP servers on a network.

%package -n	nagios-check_dig
Summary:	The check_dig plugin for nagios
Group:		Networking/Other
Requires:	bind-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dig
This plugin test the DNS service on the specified host using dig

%package -n	nagios-check_disk
Summary:	The check_disk plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_disk
This plugin checks the amount of used disk space on a mounted file system and
generates an alert if free space is less than one of the threshold values

%package -n	nagios-check_disk_smb
Summary:	The check_disk_smb plugin for nagios
Group:		Networking/Other
Requires:	samba-client
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_disk_smb
Perl Check SMB Disk plugin for Nagios

%package -n	nagios-check_dns
Summary:	The check_dns plugin for nagios
Group:		Networking/Other
Requires:	bind-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dns
This plugin uses the nslookup program to obtain the IP address for the given
host/domain query. An optional DNS server to use may be specified. If no DNS
server is specified, the default server(s) specified in /etc/resolv.conf will
be used.

%package -n	nagios-check_dummy
Summary:	The check_dummy plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dummy
This plugin will simply return the state corresponding to the numeric value
of the <state> argument with optional text

%package -n	nagios-check_file_age
Summary:	The check_file_age plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_file_age
This package contains the check_file_age plugin for nagios.

%package -n	nagios-check_flexlm
Summary:	The check_flexlm plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_flexlm
Check available flexlm license managers.

%package -n	nagios-check_fping
Summary:	The check_fping plugin for nagios
Group:		Networking/Other
Requires:	fping
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_fping
This plugin will use the fping command to ping the specified host for a fast
check Note that it is necessary to set the suid flag on fping.

%package -n	nagios-check_game
Summary:	The check_game plugin for nagios
Group:		Networking/Other
Requires:	qstat
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_game
This plugin tests game server connections with the specified host.

%package -n	nagios-check_hpjd
Summary:	The check_hpjd plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_hpjd
This plugin tests the STATUS of an HP printer with a JetDirect card. Net-snmp
must be installed on the computer running the plugin.

%package -n	nagios-check_http
Summary:	The check_http plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_http
This plugin tests the HTTP service on the specified host. It can test normal
(http) and secure (https) servers, follow redirects, search for strings and
regular expressions, check connection times, and report on certificate
expiration times.

%package -n	nagios-check_icmp
Summary:	The check_icmp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_icmp
This package contains the check_icmp plugin for nagios.

%package -n	nagios-check_ide_smart
Summary:	The check_ide_smart plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ide_smart
This plugin checks a local hard drive with the (Linux specific) SMART interface
[http://smartlinux.sourceforge.net/smart/index.php].

%package -n	nagios-check_ifoperstatus
Summary:	The check_ifoperstatus plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ifoperstatus
check_ifoperstatus plugin for Nagios monitors operational status of a
particular network interface on the target host.

%package -n	nagios-check_ifstatus
Summary:	The check_ifstatus plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ifstatus
check_ifstatus plugin for Nagios monitors operational status of each network
interface on the target host.

%package -n	nagios-check_ircd
Summary:	The check_ircd plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ircd
Perl Check IRCD plugin for Nagios

%package -n	nagios-check_ldap
Summary:	The check_ldap plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ldap
This package contains the check_ldap plugin for nagios.

%package -n	nagios-check_load
Summary:	The check_load plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_load
This plugin tests the current system load average.

%package -n	nagios-check_log
Summary:	The check_log plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_log
Log file pattern detector plugin for Nagios

%package -n	nagios-check_mailq
Summary:	The check_mailq plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_mailq
Checks the number of messages in the mail queue (supports multiple sendmail
queues, qmail)

%package -n	nagios-check_mysql
Summary:	The check_mysql plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_mysql
This program tests connections to a mysql server.

%package -n	nagios-check_mysql_query
Summary:	The check_mysql_query plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_mysql_query
This program checks a query result against threshold levels.

%package -n	nagios-check_nagios
Summary:	The check_nagios plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_nagios
This plugin checks the status of the Nagios process on the local machine. The
plugin will check to make sure the Nagios status log is no older than the
number of minutes specified by the expires option. It also checks the process
table for a process matching the command argument.

%package -n	nagios-check_nt
Summary:	The check_nt plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_nt
This plugin collects data from the NSClient service running on a Windows(tm)
NT/2000/XP/2003 server.

%package -n	nagios-check_ntp
Summary:	The check_ntp plugin for nagios
Group:		Networking/Other
Requires:	ntpsec
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ntp
This plugin checks the selected ntp server.

%package -n	nagios-check_ntp_peer
Summary:	The check_ntp_peer plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ntp_peer
This plugin checks the selected ntp server.

%package -n	nagios-check_ntp_time
Summary:	The check_ntp_time plugin for nagios
Group:		Networking/Other
Requires:	ntpsec
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ntp_time
This plugin checks the clock offset with the ntp server.

%package -n	nagios-check_nwstat
Summary:	The check_nwstat plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_nwstat
This plugin attempts to contact the MRTGEXT NLM running on a Novell server
to gather the requested system information.

%package -n	nagios-check_oracle
Summary:	The check_oracle plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_oracle
Check Oracle status.

%package -n	nagios-check_overcr
Summary:	The check_overcr plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_overcr
This plugin attempts to contact the Over-CR collector daemon running on the
remote UNIX server in order to gather the requested system information.

%package -n	nagios-check_pgsql
Summary:	The check_pgsql plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_pgsql
Test whether a PostgreSQL Database is accepting connections.

%package -n	nagios-check_ping
Summary:	The check_ping plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ping
Use ping to check connection statistics for a remote host.

%package -n	nagios-check_procs
Summary:	The check_procs plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_procs
Checks all processes and generates WARNING or CRITICAL states if the specified
metric is outside the required threshold ranges. The metric defaults to number
of processes.  Search filters can be applied to limit the processes to check.

%package -n	nagios-check_radius
Summary:	The check_radius plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_radius
Tests to see if a radius server is accepting connections.

%package -n	nagios-check_real
Summary:	The check_real plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_real
This plugin tests the REAL service on the specified host.

%package -n	nagios-check_rpc
Summary:	The check_rpc plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_rpc
Check if a rpc service is registered and running using:
rpcinfo -H host -C rpc_command 

%package -n	nagios-check_sensors
Summary:	The check_sensors plugin for nagios
Group:		Networking/Other
Requires:	lm_sensors
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_sensors
This plugin checks hardware status using the lm_sensors package.

%package -n	nagios-check_smtp
Summary:	The check_smtp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_smtp
This plugin will attempt to open an SMTP connection with the host.

%package -n	nagios-check_snmp
Summary:	The check_snmp plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_snmp
Check status of remote machines and obtain system information via SNMP.

%package -n	nagios-check_ssh
Summary:	The check_ssh plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ssh
Try to connect to an SSH server at specified server and port.

%package -n	nagios-check_swap
Summary:	The check_swap plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_swap
Check swap space on local machine.

%package -n	nagios-check_tcp
Summary:	The check_tcp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_tcp
This plugin tests TCP connections with the specified host (or unix socket).

%package -n	nagios-check_time
Summary:	The check_time plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_time
This plugin will check the time on the specified host.

%package -n	nagios-check_ups
Summary:	The check_ups plugin for nagios
Group:		Networking/Other
Requires:	nut
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ups
This plugin tests the UPS service on the specified host. Network UPS Tools 
from www.networkupstools.org must be running for this plugin to work.

%package -n	nagios-check_uptime
Summary:	The check_uptime plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_uptime
Provides check_uptime support for Nagios.

%package -n	nagios-check_users
Summary:	The check_users plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_users
This plugin checks the number of users currently logged in on the local
system and generates an error if the number exceeds the thresholds specified.

%package -n	nagios-check_wave
Summary:	The check_wave plugin for nagios
Group:		Networking/Other
Requires:	nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_wave
This package contains the check_wave plugin for nagios.

%package -n	nagios-check_ssl_validity
Summary:	The check_ssl_validity plugin for nagios
Group:		Networking/Other
Requires:	nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ssl_validity
This package contains the check_ssl_validity plugin for nagios.

%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
autoreconf -fi

export PATH_TO_DIG=/usr/bin/dig
export PATH_TO_FPING=/bin/fping
export PATH_TO_HOST=/usr/bin/host
export PATH_TO_LMSTAT=
export PATH_TO_LSPS=
export PATH_TO_MAILQ=/usr/bin/mailq
export PATH_TO_NSLOOKUP=/usr/bin/nslookup
export PATH_TO_PING=/bin/ping
export PATH_TO_PING6=/usr/bin/ping6
export PATH_TO_PS=/bin/ps
export PATH_TO_QMAIL_QSTAT=/var/qmail/bin/qmail-qstat
export PATH_TO_QSTAT=/usr/bin/qstat-quake
export PATH_TO_QUAKESTAT=
export PATH_TO_RPCINFO=/usr/sbin/rpcinfo
export PATH_TO_SMBCLIENT=/usr/bin/smbclient
export PATH_TO_SNMPGET=/usr/bin/snmpget
export PATH_TO_SNMPGETNEXT=/usr/bin/snmpgetnext
export PATH_TO_SSH=/usr/bin/ssh
export PATH_TO_SWAP=
export PATH_TO_SWAPINFO=
export PATH_TO_UPTIME=/usr/bin/uptime
export PATH_TO_WHO=/usr/bin/who

%serverbuild

%configure \
    --libexecdir=%{_libdir}/nagios/plugins \
    --disable-rpath \
    --with-cgiurl=/nagios/cgi-bin \
    --with-trusted-path="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin" \
    --with-ping-command="/bin/ping -n -U -w %d -c %d %s" \
    --with-ping6-command="%{_bindir}/ping6 -n -U -w %d -c %d %s" \
    --with-ps-command="/bin/ps axwo 'stat uid pid ppid vsz rss pcpu etime comm args'" \
    --with-ps-format="%s %d %d %d %d %d %f %s %s %n" \
    --with-ps-varlist='procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,&procetime,procprog,&pos' \
    --with-ps-cols=10 \
    --with-ipv6

# anti recheck hack
touch *

make

make -C plugins \
    check_ide_smart check_ldap check_pgsql check_radius

%install
install -d -m0755 %{buildroot}%{_sysconfdir}/nagios/conf.d
%make_install MKDIR_P="/usr/bin/mkdir -p"

install -m0755 plugins/check_pgsql %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins/check_radius %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins/check_ide_smart %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins-root/check_dhcp %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins-root/check_icmp %{buildroot}%{_libdir}/nagios/plugins/

# fix bad paths (again!)
for i in check_breeze check_disk_smb check_file_age check_flexlm check_ifoperstatus \
    check_ifstatus check_ircd check_mailq check_ntp check_rpc check_wave; do
    perl -pi -e "s|\"nagios/plugins\"|\"%{_libdir}/nagios/plugins\"|g" \
    %{buildroot}%{_libdir}/nagios/plugins/$i
done

%find_lang %{name}

# make noarch plugins installable under %{_datadir} also
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
pushd %{buildroot}%{_datadir}/nagios/plugins
ln -sf ../../../%_lib/nagios/plugins/utils.pm .
ln -sf ../../../%_lib/nagios/plugins/utils.sh .
popd

# delete unusable plugins
rm -f %{buildroot}%{_libdir}/nagios/plugins/check_apt
rm -f %{buildroot}%{_libdir}/nagios/plugins/check_mrtg
rm -f %{buildroot}%{_libdir}/nagios/plugins/check_mrtgtraf

%pre
%{_sbindir}/useradd -r -M -s /bin/sh -d /var/log/nagios -c "system user for %{nsusr}" %{nsusr} >/dev/null 2>&1 || :
%{_bindir}/gpasswd -a %{cmdusr} %{nsgrp} >/dev/null 2>&1 || :

%postun
%_postun_userdel %{nsusr}

%files -f %{name}.lang
%doc AUTHORS CODING FAQ LEGAL NEWS README* REQUIREMENTS SUPPORT
%dir %{_libdir}/nagios
%dir %{_libdir}/nagios/plugins
%{_libdir}/nagios/plugins/negate
%{_libdir}/nagios/plugins/urlize
%{_libdir}/nagios/plugins/utils.pm
%{_libdir}/nagios/plugins/utils.sh
%{_libdir}/nagios/plugins/remove_perfdata
%{_datadir}/nagios/plugins

%files -n nagios-check_breeze
%{_libdir}/nagios/plugins/check_breeze

%files -n nagios-check_by_ssh
%{_libdir}/nagios/plugins/check_by_ssh

%files -n nagios-check_cluster
%{_libdir}/nagios/plugins/check_cluster

%files -n nagios-check_dbi
%{_libdir}/nagios/plugins/check_dbi

%files -n nagios-check_dhcp
%attr(4550,root,nagios) %{_libdir}/nagios/plugins/check_dhcp

%files -n nagios-check_dig
%{_libdir}/nagios/plugins/check_dig

%files -n nagios-check_disk
%{_libdir}/nagios/plugins/check_disk

%files -n nagios-check_disk_smb
%{_libdir}/nagios/plugins/check_disk_smb

%files -n nagios-check_dns
%{_libdir}/nagios/plugins/check_dns

%files -n nagios-check_dummy
%{_libdir}/nagios/plugins/check_dummy

%files -n nagios-check_file_age
%{_libdir}/nagios/plugins/check_file_age

%files -n nagios-check_flexlm
%{_libdir}/nagios/plugins/check_flexlm

%files -n nagios-check_fping
%{_libdir}/nagios/plugins/check_fping

%files -n nagios-check_game
%{_libdir}/nagios/plugins/check_game

%files -n nagios-check_hpjd
%{_libdir}/nagios/plugins/check_hpjd

%files -n nagios-check_http
%{_libdir}/nagios/plugins/check_http

%files -n nagios-check_icmp
%attr(4550,root,nagios) %{_libdir}/nagios/plugins/check_icmp

%files -n nagios-check_ide_smart
%{_libdir}/nagios/plugins/check_ide_smart

%files -n nagios-check_ifoperstatus
%{_libdir}/nagios/plugins/check_ifoperstatus

%files -n nagios-check_ifstatus
%{_libdir}/nagios/plugins/check_ifstatus

%files -n nagios-check_ircd
%{_libdir}/nagios/plugins/check_ircd

%files -n nagios-check_ldap
%{_libdir}/nagios/plugins/check_ldap
%{_libdir}/nagios/plugins/check_ldaps

%files -n nagios-check_load
%{_libdir}/nagios/plugins/check_load

%files -n nagios-check_log
%{_libdir}/nagios/plugins/check_log

%files -n nagios-check_mailq
%{_libdir}/nagios/plugins/check_mailq

%files -n nagios-check_mysql
%{_libdir}/nagios/plugins/check_mysql

%files -n nagios-check_mysql_query
%{_libdir}/nagios/plugins/check_mysql_query

%files -n nagios-check_nagios
%{_libdir}/nagios/plugins/check_nagios

%files -n nagios-check_nt
%{_libdir}/nagios/plugins/check_nt

%files -n nagios-check_ntp
%{_libdir}/nagios/plugins/check_ntp

%files -n nagios-check_ntp_peer
%{_libdir}/nagios/plugins/check_ntp_peer

%files -n nagios-check_ntp_time
%{_libdir}/nagios/plugins/check_ntp_time

%files -n nagios-check_nwstat
%{_libdir}/nagios/plugins/check_nwstat

%files -n nagios-check_oracle
%{_libdir}/nagios/plugins/check_oracle

%files -n nagios-check_overcr
%{_libdir}/nagios/plugins/check_overcr

%files -n nagios-check_pgsql
%{_libdir}/nagios/plugins/check_pgsql

%files -n nagios-check_ping
%{_libdir}/nagios/plugins/check_ping

%files -n nagios-check_procs
%{_libdir}/nagios/plugins/check_procs

%files -n nagios-check_radius
%{_libdir}/nagios/plugins/check_radius

%files -n nagios-check_real
%{_libdir}/nagios/plugins/check_real

%files -n nagios-check_rpc
%{_libdir}/nagios/plugins/check_rpc

%files -n nagios-check_sensors
%{_libdir}/nagios/plugins/check_sensors

%files -n nagios-check_smtp
%{_libdir}/nagios/plugins/check_smtp

%files -n nagios-check_snmp
%{_libdir}/nagios/plugins/check_snmp

%files -n nagios-check_ssh
%{_libdir}/nagios/plugins/check_ssh

%files -n nagios-check_swap
%{_libdir}/nagios/plugins/check_swap

%files -n nagios-check_tcp
%{_libdir}/nagios/plugins/check_tcp
%{_libdir}/nagios/plugins/check_imap
%{_libdir}/nagios/plugins/check_spop
%{_libdir}/nagios/plugins/check_simap
%{_libdir}/nagios/plugins/check_udp
%{_libdir}/nagios/plugins/check_pop
%{_libdir}/nagios/plugins/check_nntp
%{_libdir}/nagios/plugins/check_jabber
%{_libdir}/nagios/plugins/check_clamd
%{_libdir}/nagios/plugins/check_ftp
%{_libdir}/nagios/plugins/check_ssmtp
%{_libdir}/nagios/plugins/check_nntps

%files -n nagios-check_time
%{_libdir}/nagios/plugins/check_time

%files -n nagios-check_ups
%{_libdir}/nagios/plugins/check_ups

%files -n nagios-check_uptime
%{_libdir}/nagios/plugins/check_uptime

%files -n nagios-check_users
%{_libdir}/nagios/plugins/check_users

%files -n nagios-check_wave
%{_libdir}/nagios/plugins/check_wave

%files -n nagios-check_ssl_validity
%{_libdir}/nagios/plugins/check_ssl_validity


%changelog
* Wed Aug 28 2024 mrambo3501 <mrambo3501> 1:2.4.9-1.mga10
+ Revision: 2092055
- version 2.4.9

* Tue Jan 03 2023 umeabot <umeabot> 1:2.4.0-4.mga9
+ Revision: 1929545
- Rebuild to use libldap-2.5 instead of 2.4
+ solbu <solbu>
- Fiks description typo

* Wed Aug 10 2022 pol4n <pol4n> 1:2.4.0-3.mga9
+ Revision: 1876634
- Replace ntp by ntpsec
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Jan 31 2022 mrambo3501 <mrambo3501> 1:2.4.0-1.mga9
+ Revision: 1770687
- version 2.4.0
- fix Sources and files list

* Sat Oct 02 2021 wally <wally> 1:2.3.3-2.mga9
+ Revision: 1748100
- rebuild for openssl 3.0.0

* Sat Mar 21 2020 guillomovitch <guillomovitch> 1:2.3.3-1.mga8
+ Revision: 1558636
- new version 2.3.3
- new version 2.3.2

* Thu Feb 13 2020 umeabot <umeabot> 1:2.2.1-5.mga8
+ Revision: 1515264
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1:2.2.1-4.mga7
+ Revision: 1299671
- Mageia 7 Mass Rebuild

* Fri Jan 05 2018 guillomovitch <guillomovitch> 1:2.2.1-3.mga7
+ Revision: 1190476
- fix build with latest mariadb, using upstream patch
- stop polluting nagios configuration by shipping default command definitions
- check_ssh doesn't require check_file

* Sat Dec 23 2017 wally <wally> 1:2.2.1-2.mga7
+ Revision: 1184387
- rebuild for new mariadb

* Thu Aug 31 2017 guillomovitch <guillomovitch> 1:2.2.1-1.mga7
+ Revision: 1148617
- new version 2.2.1

* Sat Dec 31 2016 guillomovitch <guillomovitch> 1:2.1.4-2.mga6
+ Revision: 1078890
- install configuration files under %%{_sysconfdir}/nagios/conf.d, instead of %%{_sysconfdir}/nagios/plugins.d, to avoid rpm unpacking error when plugin package is installed before nagios package

* Mon Dec 12 2016 guillomovitch <guillomovitch> 1:2.1.4-1.mga6
+ Revision: 1074390
- new version 2.1.4
- drop unmaintained rogue DHCP check patch
- update ldap certificate check patch

* Wed Mar 02 2016 umeabot <umeabot> 1:2.1.1-2.mga6
+ Revision: 983782
- Rebuild for openssl

* Sun Feb 28 2016 oden <oden> 1:2.1.1-1.mga6
+ Revision: 980362
- rediffed P22
- 2.1.1

* Mon Feb 08 2016 umeabot <umeabot> 1:2.0.3-6.mga6
+ Revision: 950852
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 1:2.0.3-5.mga5
+ Revision: 798922
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.3-4.mga5
+ Revision: 747795
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.0.3-3.mga5
+ Revision: 727461
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.3-2.mga5
+ Revision: 682788
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Aug 02 2014 guillomovitch <guillomovitch> 1:2.0.3-1.mga5
+ Revision: 659223
- new version 2.0.3

* Thu Feb 06 2014 guillomovitch <guillomovitch> 1:1.5-1.mga5
+ Revision: 584615
- new version 1.5, dropping many contrib plugins

* Mon Oct 21 2013 umeabot <umeabot> 1:1.4.16-9.mga4
+ Revision: 539183
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 philippem <philippem> 1:1.4.16-8.mga4
+ Revision: 491558
+ rebuild (emptylog)

* Sat Feb 16 2013 dlucio <dlucio> 1:1.4.16-7.mga3
+ Revision: 398715
- remove require

* Fri Feb 15 2013 dlucio <dlucio> 1:1.4.16-6.mga3
+ Revision: 398598
- Requires nagios-agent: nagios daemon or nrpe daemon

* Thu Feb 07 2013 guillomovitch <guillomovitch> 1:1.4.16-5.mga3
+ Revision: 395125
- switch group to monitoring
- don't ship unused configuration files

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1:1.4.16-4.mga3
+ Revision: 363434
- fix gets problem
- fix for automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ nanardon <nanardon>
- fix typo in config files

* Fri Jul 06 2012 guillomovitch <guillomovitch> 1:1.4.16-1.mga3
+ Revision: 268431
- new version

* Thu Mar 29 2012 guillomovitch <guillomovitch> 1:1.4.15-9.mga2
+ Revision: 227423
- fix ldap certificate checking patch linking

* Sun May 15 2011 pterjan <pterjan> 1:1.4.15-8.mga1
+ Revision: 98935
- Rebuild for fixed find-requires

* Sat Apr 30 2011 pterjan <pterjan> 1:1.4.15-7.mga1
+ Revision: 93999
- Bump release higher than Mandriva

* Thu Mar 24 2011 dmorgan <dmorgan> 1:1.4.15-5.mga1
+ Revision: 77067
- Rebuild against new mysql

* Thu Mar 03 2011 ennael <ennael> 1:1.4.15-4.mga1
+ Revision: 63108
- clean spec file
- imported package nagios-plugins


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.15-4mdv2011.0
+ Revision: 627265
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.15-3mdv2011.0
+ Revision: 626546
- rebuilt against mysql-5.5.8 libs

* Fri Aug 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.15-1mdv2011.0
+ Revision: 566777
- new version
- rediff check_dhcp and check_ldap patches
- fix contrib plugins build

* Thu May 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.14-8mdv2010.1
+ Revision: 543063
- rebuild for missing x86_64 check_nmap package

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 1:1.4.14-7mdv2010.1
+ Revision: 536582
- rebuild

* Mon Mar 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.14-6mdv2010.1
+ Revision: 528810
- drop check_by_ssh references in check_disk plugin configuration (fix #58316)

* Wed Mar 03 2010 Michael Scherer <misc@mandriva.org> 1:1.4.14-5mdv2010.1
+ Revision: 513746
- fix License
- add check_ping6 to explicitly check ipv6 connectivity

* Sun Feb 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.14-4mdv2010.1
+ Revision: 512688
- drop mrtg plugins, as mrtg has been dropped

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.14-3mdv2010.1
+ Revision: 507492
- rebuild

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.14-2mdv2010.0
+ Revision: 446947
- make all script plugins requires base package

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.14-1mdv2010.0
+ Revision: 446157
- new version
- drop locales patch: too much general, let's fix actual issue instead
- drop sni support patch (merged upstream)
- rediff ldap certificate check and rogue DHCP server check patches
- updated contrib API patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.13-12mdv2009.1
+ Revision: 361186
- fix SNI support patch
- no need for a specific verify policy

* Tue Mar 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.13-11mdv2009.1
+ Revision: 360958
- check_mysql_perf is dead

* Mon Mar 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.13-10mdv2009.1
+ Revision: 353155
- don't copy configuration files twice
- cleanup file list from useless directives
- don't duplicate spec-helper job
- don't package check_apt, apt is currently not available on mandriva

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.13-9mdv2009.1
+ Revision: 348827
- add SNI support patch for check_http plugin
- fix build by calling autoreconf, instead of manual calls to autotools suite

* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.13-8mdv2009.1
+ Revision: 317100
- add ldap certificate checking patch

* Mon Dec 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.13-7mdv2009.1
+ Revision: 314627
- rediff some patches for no fuzz
- no explicit %%post scriptlet, nagios has filetriggers now
- symlinks utils.sh and utils.pm in %%_datadir, to make additional plugins
  packages noarch

* Fri Dec 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.13-6mdv2009.1
+ Revision: 313606
- rediff some patches to meet the nofuzz criteria

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.13-5mdv2009.1
+ Revision: 311311
- rebuilt against mysql-5.1.30 libs

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.13-4mdv2009.1
+ Revision: 305447
- fix #45711 (checking by elapsed time does not work in check_procs nagios plugin)

* Mon Nov 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.13-3mdv2009.1
+ Revision: 301805
- fix deps

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.13-2mdv2009.1
+ Revision: 301334
- fix #45526 (Bad argument defined in the config file of check_nagios plugin)

* Fri Oct 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.13-1mdv2009.0
+ Revision: 291381
- 1.4.13

  + Michael Scherer <misc@mandriva.org>
    - remove check_smtp from check_tcp.cfg, as check_smtp is already defined in its own configuration file

* Wed Jun 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.12-1mdv2009.0
+ Revision: 228993
- 1.4.12
- rediffed P0
- drop P20, it's implemented upstream

* Tue Mar 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-12mdv2008.1
+ Revision: 188544
- bump release
- added P21 to make check_dhcp check for rogue dhcp servers

* Fri Feb 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-11mdv2008.1
+ Revision: 168863
- prevent circular build deps

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-10mdv2008.1
+ Revision: 168605
- make it build on cs4

* Thu Feb 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.11-9mdv2008.1
+ Revision: 167737
- fix build with latest pgsql
- setuid checks (icmp, arp and dhcp) needs nagios group execution permission

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - fix spacing at top of description

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 1:1.4.11-8mdv2008.1
+ Revision: 157258
- rebuild with fixed %%serverbuild macro

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-7mdv2008.1
+ Revision: 154430
- check_mysql_perf-1.3
- fix #36663 (Error message when installing any nagios plug-in)

* Fri Jan 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-6mdv2008.1
+ Revision: 148676
- rework it again, fixing a lot of stuff...
- fix #35036 (unowned directory for nagios plugins)
- adding the svn Id tag to the config files
- fix #36666 (Missing arguments for check_arping)

* Thu Jan 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-5mdv2008.1
+ Revision: 147603
- added the check_mysql_perf plugin
- fixed deps

* Sat Jan 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-4mdv2008.1
+ Revision: 145869
- major rework, aka. "the mega split". note this is wip
- added some configuration files
- added some patches

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.4.11-3mdv2008.1
+ Revision: 138318
- ship mrtg plugins in a distinct subpackage, to avoid costly dependencies (bug #35035)

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-2mdv2008.1
+ Revision: 137514
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.11-1mdv2008.1
+ Revision: 123063
- 1.4.11
- rediffed P0

* Wed Oct 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.10-1mdv2008.1
+ Revision: 96787
- 1.4.10
- drop upstream implemented P4,P5
- rediffed P0,P6

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.9-5mdv2008.0
+ Revision: 83457
- whoops!, it was the other way around :)

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.9-4mdv2008.0
+ Revision: 83455
- fix the %%pre scriptlet

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1:1.4.9-3mdv2008.0
+ Revision: 70377
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Tue Jul 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.9-2mdv2008.0
+ Revision: 55020
- use the new %%serverbuild macro

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.9-1mdv2008.0
+ Revision: 39297
- use distro conditional -fstack-protector
- don't hardcode automake-1.9
- add teh source too
- 1.4.9
- rediffed P0

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.8-1mdv2008.0
+ Revision: 14466
- fix build
- 1.4.8


* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-1mdv2007.0
+ Revision: 133215
- 1.4.6
- rediffed the radius-ng patch (P4)

* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.5-3mdv2007.1
+ Revision: 110660
- rebuilt against new postgresql libs

* Wed Nov 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.5-2mdv2007.1
+ Revision: 84480
- autopoint needs cvs
- Import nagios-plugins

* Wed Nov 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.5-1mdv2007.1
- 1.4.5
- fix #26784
- added P4,P5 from fedora extras
- fix deps

* Thu Sep 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-8
- really, really fix the check_nmap plugin (thanks misc)
- added one more plugin (check_timeout)
- fixed three plugins and added deps for it, sort of

* Thu Sep 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-7
- really fix the check_nmap plugin

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-6mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-5
- the previous search and replace trashed the binaries, it's
  now fixed using the awk script and some perl search and replace
- fix the check_compaq_insight plugin (P2)

* Sat Sep 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-4
- fix perl search and replace (again)
- nuke some cruft

* Fri Sep 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-3
- fix perl search and replace

* Thu Jun 22 2006 Olivier Thauvin <nanardon@mandriva.org> 1:1.4.3-2mdv2007.0
- fix substitution and to fix perl code

* Thu May 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.3-1mdk
- 1.4.3
- rediffed P1
- drop the certverify patch as it won't apply (P2)
- fix deps

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-3mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mdk
- rebuilt against MySQL-5.0.15

* Tue Oct 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-1mdk
- 1.4.2
- rediff P1
- drop P0 as it won't appy anymore
- drop P3 as it won't apply and another fix seems to have 
  been made upstream
- fix deps

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4-6mdk
- rebuilt against new openldap-2.3.6 libs

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4-5mdk
- fix #15542
- strip away annoying ^M

* Tue Apr 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-4mdk
- more spec file hacks to overcome autotools screwups

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-3mdk
- use the %%mkrel macro

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-2mdk
- added P2 & P3 from the patches section at the sf site
- make it compile on x86_64
- fix deps

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-1mdk
- 1.4
- drop buggy locales (P1) (#12740)
- use epoch 1 for a smooth upgrade

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.0-0.20041220.6mdk
- rebuild for ldap2.2_7

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.5mdk
- rebuilt against new openldap libs

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.4mdk
- rebuilt against MySQL-4.1.x system libs

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.3mdk
- fix deps

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.2mdk
- fix deps

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.1mdk
- 20041220
- we seem to need zillions of buildrequires
- fix deps
- misc spec file fixes

* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041201.1mdk
- 20041201
- build and install some of the extra plugins

* Fri Nov 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041126.1mdk
- 20041126
- misc spec file fixes

* Thu Nov 25 2004 Michael Scherer <misc@mandrake.org> 1.4.0-0.20040930.5mdk
- Remove qstat requirements ( as check_game is not in this package )

* Fri Oct 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.4mdk
- fix a bug in the check_ntp perl script, spotted by Roger Wernersson

* Fri Oct 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.3mdk
- fix paths everywhere (what a mess!)

* Thu Oct 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.2mdk
- fix a bug in the perl scripts, spotted by Roger Wernersson

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.1mdk
- use a recent snap
- remove some configuration switches that didn't work

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040530.1mdk
- use a recent snap
- fix deps
- use the %%configure2_5x macro

